*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: black;
    font-family: 'Nunito', sans-serif;
}
body{
    line-height: 1.7;
    background-color: bisque;
    min-height: 200vh;
}
html{
    scroll-behavior: smooth;
}
/* <================= CSS Variables =================> */
:root{
    --font-large-color: white;
    --font-small-color: #9f9f9f;
    --main-color: #FF2626;
    --bg-color-1: #131416;
    --bg-color-2: #191a20;
}
h1 {
    margin: auto;
    font-size: 3.5rem;
    font-weight: 300;
    animation: lights 5s 750ms linear infinite;
  }

h2{
    font-size: 46px;
    color: var(--bg-color-1);
}
h3{
    font-size: 34px;
}
h4{
    font-size: 30px;
}
h5{
    font-size: 20px;
}
p,span{
    font-size: 17px;
    color: var(--bg-color-1);
}

/* <================= Reusable Classes =================> */
.container{
    padding: 30px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.heading-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 100px;
}
.animate-bar{
    width: 5rem;
    height: 4px;
    background-color: var(--main-color);
    margin-top: 15px;
    position: relative;
}
.animate-bar::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 5px;
    height: 100%;
    border-left: 5px solid black;
    border-right: 5px solid black;
    animation: animate 3s linear infinite;
}
@keyframes animate{
    from{
        left: 0%;
    }
    to{
        left: 100%;
    }
}
.sub-heading{
    max-width: 40rem;
    text-align: center;
    margin-top: 30px;
    padding: 0 1rem;
}

/* <================= Navbar =================> */
#navbar{  
    height: 7rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 999;
    background-color: white;
}
#navbar.fixed{
    position: fixed;
    height: 5rem;
    background-color: #131416;
    transition: all 0.3s ease-in-out;
}
#navbar .logo{
    width: 17rem;
    margin-left: 5rem;
    z-index: 5;
}
#navbar .logo img{
    width: 100%;
}
#navbar .nav-items{
    display: flex;
    list-style: none;
    margin-right: 5rem;
}
#navbar .nav-items li{
    margin: 0 1rem;
}
#navbar .nav-items li a{
    text-decoration: none;
    color:black;
    font-size: 17px;
    cursor: pointer;
}
#navbar .nav-items li a:hover{
    color: red;
}


/* <================= Home =================> */
#home {
    min-height: 100vh;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    position: relative;
    background-color: white;
    background-image: url('/pictures/dd.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;
    opacity: 0.6;
}

.hero-img {
    position: relative;
    z-index: 2;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.text-overlay {
    position: absolute;
    top: -300px; /* Позиционирање 400 пиксели погоре */
    left: 0;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    border: 3px solid white;
    padding: 20px;
    width: 300px; /* Фиксирана ширина */
    height: auto; /* Автоматска висина */
    opacity: 0.9;
    text-align: left;
}

.main-text {
    font-size: 16px; /* Фиксирана големина на текстот */
    line-height: 1.5;
    margin: 0;
    font-family: Arial, sans-serif;
    color: white;
    font-weight: bold;
}

/* Респонзивни медија упити */
@media (max-width: 1400px) {
    .main-text {
        font-size: 16px; /* Фиксирана големина на текстот */
    }
}

@media (max-width: 850px) {
    .text-overlay {
        position: relative; /* За да се постави во однос на други елементи */
        top: -235px;
        left: 0px;
        width: 3000px; /* Фиксирана ширина */
        max-width: none; /* Укини максимална ширина */
        margin: 0px; /* Додај маргин за малку простор */
    }
}

@media (max-width: 620px) {
    .text-overlay {
        position: relative; /* За да се постави под другите елементи */
        top:-210px;
        left: 0;
        width: 1500px; /* Смалена ширина за уште помали уреди */
        max-width: none; /* Укини максимална ширина */
        margin: 20px 0; /* Додај маргин горе и долу */
    }

    .main-text {
        font-size: 16px; /* Фиксирана големина на текстот */
    }
}
@media (max-width: 600px) {
    .text-overlay {
        position: relative; /* За да се постави под другите елементи */
        top:0px;
        left: 0;
        width: 50px; /* Смалена ширина за уште помали уреди */
        max-width: none; /* Укини максимална ширина */
        margin: 0px; /* Додај маргин горе и долу */
        padding: 0px;
    }

    .main-text {
        font-size: 12px; /* Фиксирана големина на текстот */
    }
}

/* <================= About =================> */
#about{
    background:#EAE7DC;
    width: 100%;
}
#about .container{
    padding: 100px 0;
}
.about-img{
    width: 30rem;
}
.about-img img{
    width: 100%;
    border: 10px solid #232323;
    box-shadow: 0 25px 50px -12px rgb(0 0 0 / 25%);
}
#about .text-wrapper{
    width: 50rem;
    padding-left: 40px;
}
#about .text-wrapper h4{
    font-weight: 500;
}
#about .text-wrapper h5{
    margin-top: 15px;
}
#about .text-wrapper h5 span{
    color: var(--main-color);
}
#about .text-wrapper p{
    margin: 20px 0;
}

/* <================= Services =================> */
#services{
    background-color: #EAE7DC;
}
#services .animate-bar::before{
    border-color: BLACK;
}
.service-card .card-content{
    width: 22rem;
    padding: 55px 40px;
    margin: 15px;
    background-color: white;
    box-shadow: 0 25px 50px -12px black(0 0 0 / 25%);
    transition: all 0.3s ease-in;
}
.service-card .card-content:hover{
    transform: translateY(-5%);
    background-color:#A8D0E6;
}
.service-card .card-content i{
    font-size: 50px;
    color: var(--main-color);
    margin-bottom: 20px;
}
.service-card .card-content h5{
    margin-bottom: 10px;
}


/* <================= Resume =================> */

#resume {
    background-color: #EAE7DC;
    padding: 20px;
}

#resume .container {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.resume-item {
    display: flex;
    align-items: flex-start;
    gap: 20px;
    padding: 2rem; /* Use rem for padding */
    background-color: #cccccc;
    border-left: 2px solid var(--main-color);
    position: relative;
    border-bottom: 1px solid red;
    width: 100%;
}

.resume-item img {
    width: 12.5rem; /* Use rem for image width */
    height: 12.5rem; /* Use rem for image height */
    object-fit: cover;
    flex-shrink: 0;
}

.resume-item:last-child {
    border-bottom: none;
}

.resume-item .item-arrow {
    position: absolute;
    height: 1rem; /* Use rem */
    width: 1rem; /* Use rem */
    left: 0;
    top: 2.5rem;
    background-color: var(--main-color);
}

.resume-item .item-arrow::after {
    content: "";
    position: absolute;
    border: 0.5rem solid transparent; /* Use rem */
    left: 1rem; /* Use rem */
    border-left-color: var(--main-color);
}

.resume-item h5 {
    color: #fff;
    font-size: 1.5rem; /* Use rem */
    margin-bottom: 0.5rem;
}

.resume-item span {
    display: block;
    font-size: 1.1rem; /* Use rem */
    color: #ac3b61;
    margin-bottom: 1rem;
}

.resume-item p {
    font-size: 1rem; /* Use rem */
    color: black;
}

/* Responsive Styles */
@media (max-width: 1430px) {
    .resume-item {
        padding: 1.5rem; /* Use rem */
    }
}
@media (min-width: 1170px) and (max-width: 1620px) {
    .resume-item {
        padding: 1.25rem; /* Use rem */
        flex-direction: column; /* Stack items vertically */
        align-items: center; /* Center items */
    }
    .resume-item img {
        margin-bottom: 1rem; /* Add spacing below the image */
        width: 10rem; /* Adjust image size */
        height: 10rem; /* Adjust image size */
    }
}

@media (max-width: 1170px) {
    .resume-item {
        padding: 1.25rem; /* Use rem */
        flex-direction: column; /* Stack items vertically */
        align-items: center; /* Center items */
    }
    .resume-item img {
        margin-bottom: 1rem; /* Add spacing below the image */
        width: 10rem; /* Adjust image size */
        height: 10rem; /* Adjust image size */
    }
}

@media (max-width: 1060px) {
    .resume-item {
        padding: 1rem; /* Use rem */
        flex-direction: column; /* Stack items vertically */
        align-items: center; /* Center items */
    }
    .resume-item img {
        margin-bottom: 1rem; /* Add spacing below the image */
        width: 10rem; /* Adjust image size */
        height: 10rem; /* Adjust image size */
    }
}

@media (max-width: 950px) {
    .resume-item h5 {
        font-size: 1.4rem; /* Use rem */
    }
}

@media (max-width: 850px) {
    .resume-item {
        padding: 1rem; /* Use rem */
    }
    .resume-item h5 {
        font-size: 1.3rem; /* Use rem */
    }
    .resume-item span {
        font-size: 1rem; /* Use rem */
    }
}

@media (max-width: 750px) {
    .resume-item {
        padding: 0.75rem; /* Use rem */
    }
}

@media (max-width: 700px) {
    .resume-item {
        flex-direction: column; /* Ensure stacking for smaller screens */
        align-items: center;
    }
    .resume-item img {
        width: 8rem; /* Resize image */
        height: 8rem; /* Maintain aspect ratio */
    }
}

@media (max-width: 600px) {
    .resume-item h5 {
        font-size: 1.2rem; /* Use rem */
    }
    .resume-item span {
        font-size: 0.9rem; /* Use rem */
    }
    .resume-item p {
        font-size: 0.9rem; /* Use rem */
    }
}

@media (max-width: 468px) {
    .resume-item {
        padding: 0.5rem; /* Use rem */
    }
    .resume-item h5 {
        font-size: 1rem; /* Use rem */
    }
    .resume-item span {
        font-size: 0.8rem; /* Use rem */
    }
    .resume-item p {
        font-size: 0.8rem; /* Use rem */
    }
}



 /*<================= Portfolio ================> */
#portfolio{
    padding: 100px 0;
    background-color: #EAE7DC;
}
#portfolio .animate-bar::before{
    border-color:black;
}
.gallery-wrapper{
    max-width: 1170px;
    margin: auto;
}
.gallery-wrapper .gallery-nav{
    display: flex;
    flex-wrap: wrap;
}
.gallery-wrapper .gallery-nav .gallery-filter{
    padding: 0 15px;
    margin: 40px 0;
    text-align: center;
    width: 100%;
}
.gallery-wrapper .gallery-filter .filter-item{
    color: white;
    font-size: 17px;
    display: inline-block;
    cursor: pointer;
    margin: 8px 20px 8px 20px;
    line-height: 1.2;
    position: relative;
}
.gallery-wrapper .gallery-filter .filter-item::after{
    content: "";
    position: absolute;
    width: 0;
    bottom: -5px;
    left: 50%;
    height: 2px;
    display: block;
    background-color: var(--main-color);
    transition: all 0.3s ease;
    transform-origin: center;
}
.gallery-wrapper .gallery-filter .filter-item.active::after{
    width: 100%;
    left: 0;
}
.content-wrapper{
    display: flex;
    flex-wrap: wrap;
    min-height: 50vh;
}
.gallery-item{
    width: calc(100% / 3);
    padding: 15px;
}
.gallery-item.show{
    animation: fade-in 0.5s ease;
}
@keyframes fade-in{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}
.gallery-item.hide{
    display: none;
}
.gallery-item .gallery-item-inner{
    cursor: pointer;
    position: relative;
}
.gallery-item .gallery-item-inner:hover .overlay{
    opacity: 1;
}
.gallery-item .gallery-item-inner img{
    width: 100%;
    height: auto;
    box-shadow: -2px 3px 15px black;
    vertical-align: middle;
}
.gallery-item .gallery-item-inner .overlay{
    opacity: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.9);
    transition: opacity 0.1s ease-in;
}
.gallery-item .gallery-item-inner .overlay p{
    color: var(--main-color);
    font-size: 20px;
    font-weight: 600;
}

@media (max-width: 3000px) {
    .gallery-item .gallery-item-inner img{
        width: 360px;
        height: 230px;
    }
}
@media (max-width: 1440px) {
    .gallery-item{
        width: calc(100% / 3);
    }
    .gallery-item .gallery-item-inner img{
        width: 360px;
        height: 230px;
    }
}

@media (max-width: 1024px) {
    .gallery-item{
        width: calc(100% / 2);
    }
    .gallery-item .gallery-item-inner img{
        width: 360px;
        height: 230px;
    }
    .gallery-item .gallery-item-inner .overlay{
        opacity: 0;
        position: absolute;
        width: 75%;
        height: 100%;
}
}
@media (max-width: 768px) {
    .gallery-item{
        width: 100%;
        padding: 10px;
    }
    .gallery-item .gallery-item-inner img{
        width: 360px;
        height: 230px;
    }
}

@media (max-width: 425px) {
    .gallery-wrapper{
        max-width: 100%;
    }
    .gallery-item{
        width: 100%;
        padding: 5px;
    }
    .gallery-item .gallery-item-inner img{
        width: 360px;
        height: 230px;
    }
}

@media (max-width: 375px) {
    .gallery-wrapper{
        max-width: 90%;
    }
    .gallery-item{
        width: 100%;
        padding: 5px;
    }
    .gallery-item .gallery-item-inner img{
        width: 260px;
        height: 160px;
    }
}

@media (max-width: 320px) {
    .gallery-wrapper{
        max-width: 100%;
        padding: 0;
    }
    .gallery-item{
        width: 100%;
        padding: 5px;
    }
    .gallery-item .gallery-item-inner img{
        width: 260px;
        height: 160px;
    }
}

/* <================= Contact =================> */
#contact {
    background-color: #EAE7DC;
}

#contact .animate-bar::before {
    border-color: black;
}

#contact .container {
    display: flex; /* Make container flexible to arrange content side by side */
    align-items: flex-start;
    gap: 25rem;
}    
#contact .contact-info {
    width: 80%;
    padding-left: 18px;
}
#contact .contact-list {
    display: flex; /* Display list items horizontally */
    gap: 2.5rem; /* Space between items */
    list-style: none;
    padding-top: 20px;
}
.contact-list .list-item {
    display: flex;
    align-items: center;
    flex-direction: column; /* Align icon and details vertically within each item */
    text-align: center;
}
.contact-list .list-item .icon i {
    font-size: 30px;
    padding-bottom: 10px;
    color: var(--main-color);
}
.contact-list .list-item .details {
    display: flex;
    flex-direction: row;
    line-height: 22px;
}
/* For screens up to 1430px wide */
@media (max-width: 1430px) {
    #contact .container {
        gap: 20rem;
    }
}

/* For screens up to 1170px wide */
@media (max-width: 1170px) {
    #contact .container {
        gap: 15rem;
    }
}

/* For screens up to 1060px wide */
@media (max-width: 1060px) {
    #contact .container {
        gap: 5rem;
    }
    #contact .contact-info {
        width: 90%;
    }
}

/* For screens up to 950px wide */
@media (max-width: 950px) {
    #contact .container {
        gap: 5rem;
    }
    #contact .contact-info {
        width: 90%;
    }
}

/* For screens up to 850px wide */
@media (max-width: 850px) {
    #contact .container {
        gap: 2rem;
    }
    #contact .contact-info {
        width: 100%;
    }
}
/* For screens up to 750px wide */
@media (max-width: 760px) {
    #contact .container {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
}


/* For screens up to 700px wide */
@media (max-width: 700px) {
    #contact .container {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
    }
    #contact .container {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
}   

/* For screens up to 600px wide */
@media (max-width: 600px) {
    #contact .container {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
    }
    #contact .container {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
}

/* For screens up to 468px wide */
@media (max-width: 468px) {
    #contact .container {
        flex-direction:row;
        align-items: center;
        gap: 1rem;
        overflow-x: hidden; /* Prevent horizontal scrolling */
    }
    #contact .contact-info {
        width: 100%;
    }
    .contact-list {
        flex-direction: column;
        align-items: center;
        width: 100%;
    }
}

/* <================= Responsive =================> */

/* Hamburger */
#navbar .checkbox{
    position:absolute;
    width: 32px;
    height: 26px;
    right: 2.5rem;
    opacity: 0;
    display: none;
    background-color: black;
}
.hamburger-lines{
    position: absolute;
    width: 32px;
    height: 26px;
    right: 2.5rem;
    pointer-events: none;
    flex-direction: column;
    justify-content: space-between;
    z-index: 2;
    display: none;
}
.hamburger-lines .line{
    display: block;
    height: 4px;
    width: 100%;
    border: 10px;
    background-color: black;
}
#navbar .nav-items li a:hover{
    color: red;
}
.hamburger-lines .line1{
    transform-origin: 0% 0%;
    transition: transform 0.4s ease-in-out;
}
.hamburger-lines .line2{
    transition: transform 0.2s ease-in-out;
}
.hamburger-lines .line3{
    transform-origin: 0% 100%;
    transition: transform 0.4s ease-in-out;
}
input[type="checkbox"]:checked ~ .hamburger-lines .line1{
    transform: rotate(45deg);
}
input[type="checkbox"]:checked ~ .hamburger-lines .line2{
    transform: scale(0);
}
input[type="checkbox"]:checked ~ .hamburger-lines .line3{
    transform: rotate(-45deg);
}

/* Media Queries */
@media (max-width: 950px) {
    #navbar .nav-items{
        position: fixed;
        flex-direction: column;
        gap: 20px;
        top: 0;
        left: -100%;
        background-color: white;
        width: 300px;
        height: 100%;
        padding-top: 8rem;
        padding-left: 2rem;
        transition: all 0.5s ease-in-out;
    }
    input[type="checkbox"]:checked ~ .nav-items{
        left: 0% !important;
    }
    #navbar .checkbox{
        display: block;
    }
    .hamburger-lines{
        display: flex;
    }
    #navbar .logo{
        margin-left: 1.5rem;
        width: 17rem;
    }
    #about .container .about-img{
        width: 20rem;
    }
}
@media (max-width: 850px){
    #navbar .checkbox{
        right: 2.5rem;
    }
    #home .text-holder{
        text-align: center;
    }
    #home .text-holder h1,
    #home .text-holder h1 span{
        font-size: 45px;
    }
    #home .text-holder h3,
    #home .text-holder h3 span{
        font-size: 20px;
    }
    #home .scroll-txt{
        display: none;
    }
    #home .social-icons{
        width: 100%;
        text-align: center;
        right: 0;
    }
    #about .container .text-wrapper{
        padding-left: 120px;
    }
    .service-card .card-content{
        width: 100%;
        margin: 15px 0;
    }
    #blogs .blog{
        width: 100%;
    }
    .container{
        padding: 0 80px;
    }
    #portfolio .gallery-item{
        width: 50%;
    }
    #contact .contact-info,
    #contact form{
        width: 40rem;
    }
}
@media (max-width: 700px){
    #portfolio .gallery-item{
        padding: 15px 1.5rem;
    }
}
@media (max-width: 600px){
    .container{
        padding: 0 20px;
    }
    #home .hero-img{
        display: none;
    }
    #about .container {
        padding: 100px 20px;
        justify-content: flex-start;
    }
    #about .container .text-wrapper{
        padding: 0;
    }
    #resume .container .resume-item{
        width: 100%;
    }
    #skills .container{
        padding: 0 1.5rem;
    }
    #skills .container .progress-item{
        width: 100%;
    }
    #skills .container .progress-item .progress-bar{
        width: 100%;
    }
    #reviews{
        padding: 0 20px;
        height: auto;
    }
    .owl-carousel .item{
        flex-direction: column;
        text-align: center;
    }
    .owl-carousel .item .img-box{
        width: 8rem;
        margin-bottom: 20px;
    }
    .owl-carousel .item .text-holder{
        padding: 0;
    }
    .owl-carousel .owl-dot{
        padding: 0 !important;
    }
}
@media (max-width: 467px){
    #portfolio .gallery-item{
        width: 100%;
    }
    #portfolio .gallery-filter .filter-item{
        margin-bottom: 10px;
    }
}
@media (max-width: 370px){
    #navbar .logo{
        width: 12rem;
    }

}
